commit:     232c62ee3d4a2ec0dc4262a4c8abbf4ec58bb9cd
Author:     Viktar Patotski (aka xp-vit) <xp.vit.blr <AT> gmail <DOT> com>
AuthorDate: Sun May  3 07:35:16 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May  4 14:25:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=232c62ee

dev-python/flask-wtf: version bump to 0.14.3

Bump to 0.14.3. This also fixes compatibility with
werkzeug/werkzeug-1.0.0+.

Closes: https://bugs.gentoo.org/720756
Signed-off-by: Viktar Patotski <xp.vit.blr <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/15618
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/flask-wtf/Manifest                |  1 +
 dev-python/flask-wtf/flask-wtf-0.14.3.ebuild | 41 ++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/flask-wtf/Manifest b/dev-python/flask-wtf/Manifest
index c703d863e8c..5e3bfb627f6 100644
--- a/dev-python/flask-wtf/Manifest
+++ b/dev-python/flask-wtf/Manifest
@@ -1 +1,2 @@
 DIST Flask-WTF-0.14.2.tar.gz 254903 BLAKE2B 
dd6b650d97622dbb56cc0bdd3c036f14e562181720ede0c48652b8fcbc88d2d684f013f0468e723b8b0746f2c6f44ca18ffe0ea353594680b47bc1212664ce52
 SHA512 
9d4b4b24eb24827aeb524699e6720eab384c42901a102daddd9fdc6b8dbc8eebec8c9d31a1e9052c9af4d61bd08eef8ef9dc4cdc8d9b950ff5bdd0201db1dfde
+DIST Flask-WTF-0.14.3.tar.gz 44507 BLAKE2B 
d160e10b1434c0578708c265468b77624953eb2d4ddde9a6ed2ff5b4f4651e0d5d2483020f51c9e512e3cb04895ecaa8fd1d0bf9380211d0a916acd8428f353a
 SHA512 
58bdb87e442dd49dcbc9090e6466ecbd0b5c6bd2f097a26e071a5c73e09256ac46cc2f794f138f0e0b45e4f65ce70c231c275dc69aa44df408d7d79b15198832

diff --git a/dev-python/flask-wtf/flask-wtf-0.14.3.ebuild 
b/dev-python/flask-wtf/flask-wtf-0.14.3.ebuild
new file mode 100644
index 00000000000..507179b7af3
--- /dev/null
+++ b/dev-python/flask-wtf/flask-wtf-0.14.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+MY_PN="Flask-WTF"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Simple integration of Flask and WTForms"
+HOMEPAGE="https://pythonhosted.org/Flask-WTF/ 
https://pypi.org/project/Flask-WTF/";
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/Babel[${PYTHON_USEDEP}]
+       dev-python/flask[${PYTHON_USEDEP}]
+       dev-python/flask-babel[${PYTHON_USEDEP}]
+       dev-python/itsdangerous[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/werkzeug[${PYTHON_USEDEP}]
+       >=dev-python/wtforms-1.0.5[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # tries to access things over the network
+       rm tests/test_recaptcha.py || die
+       distutils-r1_python_prepare_all
+}

Reply via email to